Bug 977948 - Pulp nodes fails for repos that are already synced on the node child
Pulp nodes fails for repos that are already synced on the node child
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
2.2 Beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 12:07 EDT by Preethi Thomas
Modified: 2013-09-10 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:45:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-06-25 12:07:31 EDT
[root@ibm-x3550m3-13 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.5.beta.fc18.noarch
[root@ibm-x3550m3-13 ~]# 

I had zoo repo synced with pulp-admin on my node child.

Now I enabled/published the repos pulp1 & zoo on my node-parent and bound the repos to my node. I get the following

[root@ibm-x3550m3-13 ~]# pulp-admin node sync run --node-id node1
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...



(1/2) Repository: pulp1
[==================================================] 100%


(2/2) Repository: zoo
[                                                  ] 1%




Error occurred during synchronization, check the child node logs for details

+----------------------------------------------------------------------+
                       Child Node Synchronization
+----------------------------------------------------------------------+

Repository: 
  Action: Added
  Id:     pulp1
  Units:  
    Added:   61
    Removed: 0
    Updated: 0

Repository: 
  Action: Merged
  Id:     zoo
  Units:  
    Added:   0
    Removed: 0
    Updated: 0


+----------------------------------------------------------------------+
                 The following [1] errors were reported
+----------------------------------------------------------------------+

- 01: An unexpected error occurred.  repo_id=zoo

+----------------------------------------------------------------------+
                 The following repositories had errors
+----------------------------------------------------------------------+

- zoo

[root@ibm-x3550m3-13 ~]# 


2013-06-21 11:25:35,121 [INFO][worker-0] dispatch() @ dispatcher.py:631 - request: {'classname': 'Content', 'kws': {}, 'args': [[{'unit_key': None, 'type_id': 'node'}], {}], 'method': 'update', 'cntr': None}
2013-06-21 11:25:38,197 [INFO][worker-0] add() @ model.py:463 - Distributor: pulp1/yum_distributor, added
2013-06-21 11:25:38,364 [INFO][worker-0] add() @ model.py:463 - Distributor: pulp1/export_distributor, added
2013-06-21 11:25:38,529 [INFO][worker-0] add() @ model.py:554 - Importer pulp1/nodes_http_importer, added
2013-06-21 11:25:38,530 [INFO][worker-0] add() @ model.py:260 - Repository: pulp1, added
2013-06-21 11:25:45,996 [INFO][worker-0] update() @ model.py:564 - Importer: zoo/nodes_http_importer, updated
2013-06-21 11:25:46,113 [ERROR][worker-0] _merge_repositories() @ strategies.py:170 - zoo
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/strategies.py", line 161, in _merge_repositories
    child.merge(parent)
  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/model.py", line 295, in merge
    self.merge_distributors(parent)
  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/model.py", line 352, in merge_distributors
    mydist.merge(dist)
  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/model.py", line 495, in merge
    self.update(delta)
  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/model.py", line 472, in update
    binding.update(self.repo_id, self.dist_id, delta)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/repository.py", line 235, in update
    return self.server.PUT(path, distributor_config)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 93, in PUT
    return self._request('PUT', path, body=body, ensure_encoding=ensure_encoding)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 142, in _request
    self._handle_exceptions(response_code, response_body)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 183, in _handle_exceptions
    raise code_class_mappings[response_code](response_body)
BadRequestException: RequestException: PUT request on /pulp/api/v2/repositories/zoo/distributors/yum_distributor/ failed with 400 - Missing values for: ['distributor_config']
2013-06-21 11:25:46,515 [ERROR][worker-0] update() @ handler.py:79 - An unexpected error occurred.  repo_id=zoo
2013-06-21 11:25:46,517 [INFO][worker-0] sendreply() @ rmi.py:172 - ba959b7a-d10f-43c3-86d1-2d36e3479cb2 processed in: 11.939 (seconds)
Comment 1 Jeff Ortel 2013-06-25 16:32:55 EDT
https://github.com/pulp/pulp/pull/522
Comment 2 Jeff Ortel 2013-07-03 18:11:17 EDT
build: 2.2.0-18.beta
Comment 3 Jeff Ortel 2013-07-03 18:15:00 EDT
Correction:

build: 2.2.0-0.18.beta
Comment 4 Preethi Thomas 2013-07-10 09:03:38 EDT
 verified
[root@ibm-x3550m3-07 ~]# rpm -qa |grep pulp-server
pulp-server-2.2.0-0.20.beta.el6.noarch

[root@ibm-x3550m3-07 ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

Id:               node1
Display Name:     node1
Description:      None
Bindings:         
  Additive: zoo
Update Strategy:  additive
Notes:            


[root@ibm-x3550m3-07 ~]# pulp-admin node sync run --node-id node1
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...



(1/1) Repository: zoo
[==================================================] 100%




Synchronization succeeded

+----------------------------------------------------------------------+
                       Child Node Synchronization
+----------------------------------------------------------------------+

Repository: 
  Action: Merged
  Id:     zoo
  Units:  
    Added:   0
    Removed: 0
    Updated: 0



[root@ibm-x3550m3-07 ~]#
Comment 5 Preethi Thomas 2013-09-10 11:45:06 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.